# Interface IRestartHandler

All Superinterfaces:
  `IDebugCommandHandler`

public interface IRestartHandler extends IDebugCommandHandler
A restart command allows the debugger to quickly restart the current debug session without terminating and re-launching.

Clients may implement this interface. The debug platform provides a restart action that delegates to this handler interface. Platform does not provide a default implementation of this handler, so to enable this action the debugger implementation must provide one.

Since:
  3.6

## Method Summary

### Methods inherited from interface IDebugCommandHandler

`canExecute, execute`